package main

import (
	"fmt"
	"os"
	"strconv"

	"gogs.bullercodeworks.com/brian/gotime"
)

func main() {
	/*
		err := termbox.Init()
		if err != nil {
			panic(err)
		}
		defer termbox.Close()
	*/
	dir := "/home/brbuller/.timewarrior/"

	op := os.Args[1]
	var id int
	var err error

	if len(os.Args) > 2 {
		id, err = strconv.Atoi(os.Args[2])
		if err != nil {
			panic(err)
		}
	}

	got := gotime.Create(dir)

	switch op {
	case "ls":
		tmrs := got.GetAllTimers()
		for i := range tmrs {
			fmt.Println("@" + strconv.Itoa(tmrs[i].Id) + ": " + tmrs[i].ToString())
		}
	case "tag":
		if _, err := got.AddTagsToTimer(id, os.Args[3:]); err != nil {
			panic(err)
		}
	case "untag":
		if _, err := got.RemoveTagsFromTimer(id, os.Args[3:]); err != nil {
			panic(err)
		}
	case "start":
		got.StartTimer()
	case "stop":
		got.StopTimer()
	}
}
